#
# spec file for package rubygem-net-ldap
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-net-ldap
Version:        0.19.0
Release:        1.2
%define mod_name net-ldap
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 2.0.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            http://github.com/ruby-ldap/ruby-net-ldap
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Net::LDAP for Ruby (also called net-ldap) implements client access
License:        MIT

%description
Net::LDAP for Ruby (also called net-ldap) implements client access for the
Lightweight Directory Access Protocol (LDAP), an IETF standard protocol for
accessing distributed directory services. Net::LDAP is written completely in
Ruby with no external dependencies. It supports most LDAP client features and
a
subset of server features as well.
Net::LDAP has been tested against modern popular LDAP servers including
OpenLDAP and Active Directory. The current release is mostly compliant with
earlier versions of the IETF LDAP RFCs (2251-2256, 2829-2830, 3377, and 3771).
Our roadmap for Net::LDAP 1.0 is to gain full <em>client</em> compliance with
the most recent LDAP RFCs (4510-4519, plutions of 4520-4532).

%prep

%build

%install
%gem_install \
  --doc-files="History.rdoc License.rdoc README.rdoc" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 0.19.0, see bundled History.rdoc
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 0.18.0, see bundled History.rdoc
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.17.1
  see installed History.rdoc
  === Net::LDAP 0.17.1
  * Fixed shebang of bash #385
  * Omit some tests for now until we update our CA cert #386
  * Add Ruby 3.0 support #388
  * Add TruffleRuby 21.0.0 to CI #389
  * Correct a typo in an error message #391
  * Enable bundler caching for travis #390
  * Fix circular require while loading lib/net/ldap/entry.rb and lib/net/ldap/dataset.rb #392
  * Handle nil value in GetbyteForSSLSocket::getbyte #306
* Sat Dec 19 2020 Matthew Trescott <matthewtrescott@gmail.com>
  updated to version 0.17.0
- Added private recursive_delete as alternative to DELETE_TREE #268
- Test suite updates #373 #376 #377
- Use Base64.strict_encode64 and SSHA256 #303
- Remove deprecated ConnectionRefusedError #366
- Added method to get a duplicate of the internal Hash #286
- remove a circular require #380
- fix LdapServerAsnSyntax compile #379
- Implement '==' operator for entries #381
- fix for undefined method for write exception #383
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 0.16.3
  see installed History.rdoc
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.16.2
  see installed History.rdoc
  === Net::LDAP 0.16.2
  * Net::LDAP#open does not cache bind result {#334}[https://github.com/ruby-ldap/ruby-net-ldap/pull/334]
  * Fix CI build {#333}[https://github.com/ruby-ldap/ruby-net-ldap/pull/333]
  * Fix to "undefined method 'result_code'" {#308}[https://github.com/ruby-ldap/ruby-net-ldap/pull/308]
  * Fixed Exception: incompatible character encodings: ASCII-8BIT and UTF-8 in filter.rb {#285}[https://github.com/ruby-ldap/ruby-net-ldap/pull/285]
* Fri Nov 24 2017 mschnitzer@suse.com
- updated to version 0.16.1
  * Send DN and newPassword with password_modify request #271
* Sat Feb 25 2017 coolo@suse.com
- updated to version 0.16.0
  see installed History.rdoc
  === Net::LDAP 0.16.0
  * Sasl fix {#281}[https://github.com/ruby-ldap/ruby-net-ldap/pull/281]
  * enable TLS hostname validation {#279}[https://github.com/ruby-ldap/ruby-net-ldap/pull/279]
  * update rubocop to 0.42.0 {#278}[https://github.com/ruby-ldap/ruby-net-ldap/pull/278]
* Thu Jul 14 2016 coolo@suse.com
- updated to version 0.15.0
  see installed History.rdoc
  === Net::LDAP 0.15.0
  * Respect connect_timeout when establishing SSL connections {#273}[https://github.com/ruby-ldap/ruby-net-ldap/pull/273]
* Sat Feb  6 2016 coolo@suse.com
- updated to version 0.14.0
  see installed History.rdoc
  === Net::LDAP 0.14.0
  * Normalize the encryption parameter passed to the LDAP constructor {#264}[https://github.com/ruby-ldap/ruby-net-ldap/pull/264]
  * Update Docs: Net::LDAP now requires ruby >= 2 {#261}[https://github.com/ruby-ldap/ruby-net-ldap/pull/261]
  * fix symbol proc {#255}[https://github.com/ruby-ldap/ruby-net-ldap/pull/255]
  * fix trailing commas {#256}[https://github.com/ruby-ldap/ruby-net-ldap/pull/256]
  * fix deprecated hash methods {#254}[https://github.com/ruby-ldap/ruby-net-ldap/pull/254]
  * fix space after comma {#253}[https://github.com/ruby-ldap/ruby-net-ldap/pull/253]
  * fix space inside brackets {#252}[https://github.com/ruby-ldap/ruby-net-ldap/pull/252]
  * Rubocop style fixes {#249}[https://github.com/ruby-ldap/ruby-net-ldap/pull/249]
  * Lazy initialize Net::LDAP::Connection's internal socket {#235}[https://github.com/ruby-ldap/ruby-net-ldap/pull/235]
  * Support for rfc3062 Password Modify, closes #163 {#178}[https://github.com/ruby-ldap/ruby-net-ldap/pull/178]
* Thu Jan 21 2016 coolo@suse.com
- updated to version 0.13.0
  see installed History.rdoc
  === Net::LDAP 0.13.0
  * Set a connect_timeout for the creation of a socket {#243}[https://github.com/ruby-ldap/ruby-net-ldap/pull/243]
  * Update bundler before installing gems with bundler {#245}[https://github.com/ruby-ldap/ruby-net-ldap/pull/245]
  * Net::LDAP#encryption accepts string {#239}[https://github.com/ruby-ldap/ruby-net-ldap/pull/239]
  * Adds correct UTF-8 encoding to Net::BER::BerIdentifiedString {#242}[https://github.com/ruby-ldap/ruby-net-ldap/pull/242]
  * Remove 2.3.0-preview since ruby-head already is included {#241}[https://github.com/ruby-ldap/ruby-net-ldap/pull/241]
  * Drop support for ruby 1.9.3 {#240}[https://github.com/ruby-ldap/ruby-net-ldap/pull/240]
  * Fixed capitalization of StartTLSError {#234}[https://github.com/ruby-ldap/ruby-net-ldap/pull/234]
* Thu Nov 12 2015 coolo@suse.com
- updated to version 0.12.1
  see installed History.rdoc
  === Net::LDAP 0.12.1
  * Whitespace formatting cleanup {#236}[https://github.com/ruby-ldap/ruby-net-ldap/pull/236]
  * Set operation result if LDAP server is not accessible {#232}[https://github.com/ruby-ldap/ruby-net-ldap/pull/232]
* Wed Oct 28 2015 coolo@suse.com
- updated to version 0.12.0
  see installed History.rdoc
  === Net::LDAP 0.12.0
  * DRY up connection handling logic {#224}[https://github.com/ruby-ldap/ruby-net-ldap/pull/224]
  * Define auth adapters {#226}[https://github.com/ruby-ldap/ruby-net-ldap/pull/226]
  * add slash to attribute value filter {#225}[https://github.com/ruby-ldap/ruby-net-ldap/pull/225]
  * Add the ability to provide a list of hosts for a connection {#223}[https://github.com/ruby-ldap/ruby-net-ldap/pull/223]
  * Specify the port of LDAP server by giving INTEGRATION_PORT {#221}[https://github.com/ruby-ldap/ruby-net-ldap/pull/221]
  * Correctly set BerIdentifiedString values to UTF-8  {#212}[https://github.com/ruby-ldap/ruby-net-ldap/pull/212]
  * Raise Net::LDAP::ConnectionRefusedError when new connection is refused. {#213}[https://github.com/ruby-ldap/ruby-net-ldap/pull/213]
  * obscure auth password upon #inspect, added test, closes #216 {#217}[https://github.com/ruby-ldap/ruby-net-ldap/pull/217]
  * Fixing incorrect error class name {#207}[https://github.com/ruby-ldap/ruby-net-ldap/pull/207]
  * Travis update {#205}[https://github.com/ruby-ldap/ruby-net-ldap/pull/205]
  * Remove obsolete rbx-19mode from Travis {#204}[https://github.com/ruby-ldap/ruby-net-ldap/pull/204]
  * mv "sudo" from script/install-openldap to .travis.yml {#199}[https://github.com/ruby-ldap/ruby-net-ldap/pull/199]
  * Remove meaningless shebang {#200}[https://github.com/ruby-ldap/ruby-net-ldap/pull/200]
  * Fix Travis CI build {#202}[https://github.com/ruby-ldap/ruby-net-ldap/pull/202]
  * README.rdoc: fix travis link {#195}[https://github.com/ruby-ldap/ruby-net-ldap/pull/195]
* Tue Feb 10 2015 coolo@suse.com
- updated to version 0.11
* Fri Oct 17 2014 coolo@suse.com
- updated to version 0.8.0
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 0.6.1
* Fri Mar 21 2014 coolo@suse.com
- updated to version 0.5.1
  * Major changes:
  * Required Ruby version is >=1.9.3
  * Major enhancements:
  * Added alias dereferencing (@ngwilson)
  * BER now unescapes characters that are already escaped in the source string (@jzinn)
  * BerIdentifiedString will now fall back to ASCII-8 encoding if the source Ruby object cannot be encoded in UTF-8 (@lfu)
  * Bug fixes:
  * Fixed nil variable error when following a reference response (@cmdrclueless)
  * Fixed FilterParser unable to parse multibyte strings (@satoryu)
  * Return ConverterNotFound when dealing with a potentially corrupt data response (@jamuc)
* Thu Aug  2 2012 coolo@suse.com
- update to latest gem2rpm
* Mon Jul 16 2012 asn@cryptomilk.org
- update to 0.3.1
  * Bundler should now work again.
  * Now uses UTF-8 strings instead of ASCII-8 per the LDAP RFC.
  * Adding continuation reference processing.
  * Fixes usupported object type #139.
  * Fixes Net::LDAP namespace errors.
  * Return nil instead of an empty array if the search fails.
* Fri Oct  7 2011 fcastelli@suse.com
- Add Provides statement
* Thu Jul 21 2011 aduffeck@novell.com
-  update to 0.2.2
  * now licensed as MIT
  * many bugfixes and enhancements. See http://net-ldap.rubyforge.org/History_rdoc.html
    for details
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.1.1
  * Fixing a critical problem with sockets.
- additional changes from version 0.1.0
  * Small fixes throughout, more to come.
  * Ruby 1.9 support added.
  * Ruby 1.8.6 and below support removed. If we can figure out a
    compatible way to reintroduce this, we will.
  * New maintainers, new project repository location. Please see
    the README.txt.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Feb 18 2010 adrian@suse.de
- create initial rubygem-net-ldap package
